<?php 
require_once '../../../../lib/configuration.inc';

// Vérification si l'accès est valide
if(!isset($_SESSION['SessionADMIN_compte_id'])){
	header('Location: ../../../auth.php');
	exit;
}

// Vérification si l'utilisateur a les droits d'accès
if($_SESSION['SessionADMIN_compte_type']=='utilisateur' AND (in_array(8, $_SESSION['SessionADMIN_compte_acces_modules'])==false OR in_array(10, $_SESSION['SessionADMIN_compte_acces_rubriques'])==false)){
	header('Location: ../../../');
	exit;
}


// Sauvegarde du contenu de certaines tables de la base de données
system('mysqldump --host='.$db_serveur.' --user='.$db_nom_utilisateur.' --password='.$db_mot_passe.' '.$db_base.' --skip-extended-insert --skip-add-locks --skip-disable-keys --complete-insert --skip-add-drop-table --no-create-db --no-create-info --skip-comments --tables competitions equipes equipes_joueurs factures factures_libelles golfs golfs_roadbook joueurs planning scores > ../../../archives/archive_'.$compet_annee.'_base_de_donnees.sql');

// Suppression du fichier SQL qui se créé sans savoir pourquoi
if(file_exists('../../../archives/archive__base_de_donnees.sql')==true){
	unlink('../../../archives/archive__base_de_donnees.sql');
}


// Création du fichier archive des joueurs (XLS)
if(!isset($process) OR (isset($process) AND $process=='joueurs')){
	header('Location: ../../joueurs_equipes/joueurs/exporter.php?archive=1&annee='.$compet_annee);
	exit;
}

// Création du fichier archive des joueurs (PDF)
if(!isset($process) OR (isset($process) AND $process=='joueurs_equipes')){
	header('Location: ../../joueurs_equipes/equipes/exporter_liste_joueurs.php?archive=1');
	exit;
}

// Création du fichier archive des équipes (XLS)
if(!isset($process) OR (isset($process) AND $process=='equipes')){
	header('Location: ../../joueurs_equipes/equipes/exporter.php?archive=1&annee='.$compet_annee);
	exit;
}

// Création du fichier archive de la facturation (XLS)
if(!isset($process) OR (isset($process) AND $process=='facturation')){
	header('Location: ../../joueurs_equipes/facturation/exporter.php?archive=1&annee='.$compet_annee);
	exit;
}

// Création du fichier archive des factures (PDF)
if(!isset($process) OR (isset($process) AND $process=='factures')){
	header('Location: ../../joueurs_equipes/facturation/exporter_factures.php?annee='.$compet_annee);
	exit;
}

// Création du fichier archive du planning (PDF)
if(!isset($process) OR (isset($process) AND $process=='planning')){
	header('Location: ../../planning/exporter.php?archive=1');
	exit;
}

/*

// DESACTIVATION DE CES 3 REDIRECTIONS A CAUSE DE L'ERREUR SUR SAFARI (TROP DE REDIRECTIONS)
// LES REDIRECTIONS SE FONT DIRECTEMENT DANS LE SCRIPT

// Création du fichier archive des cartes de score (PDF)
if(!isset($process) OR (isset($process) AND $process=='cartes_score')){
	header('Location: ../../resultats/cartes_score/exporter.php?archive=1');
	exit;
}

// Création du fichier archive du classement cumulé brut et net (PDF)
if(!isset($process) OR (isset($process) AND $process=='classement_cumule_brut_net')){
	header('Location: ../../resultats/classement_cumule/exporter_brut_net.php?archive=1');
	exit;
}

// Création du fichier archive du classement cumulé pro (PDF)
if(!isset($process) OR (isset($process) AND $process=='classement_cumule_pro')){
	header('Location: ../../resultats/classement_cumule_pro/exporter.php?archive=1');
	exit;
}

*/


// Vidage du contenu des tables
$requete_suppression_1 = mysqli_query($connexion_mysql, 'TRUNCATE TABLE equipes');
$requete_suppression_2 = mysqli_query($connexion_mysql, 'TRUNCATE TABLE equipes_joueurs');
$requete_suppression_3 = mysqli_query($connexion_mysql, 'TRUNCATE TABLE factures');
$requete_suppression_4 = mysqli_query($connexion_mysql, 'TRUNCATE TABLE factures_libelles');
$requete_suppression_7 = mysqli_query($connexion_mysql, 'TRUNCATE TABLE joueurs');
$requete_suppression_8 = mysqli_query($connexion_mysql, 'TRUNCATE TABLE planning');
$requete_suppression_9 = mysqli_query($connexion_mysql, 'TRUNCATE TABLE scores');

// Mise en archive de la compétition sélectionnée
$requete_maj_competition = mysqli_query($connexion_mysql, 'UPDATE competitions SET competition_archive=1 WHERE competition_id="'.$competition_id.'"');


header('Location: ./');
?>
